Bug 120780 - [sound] [snd_hda] snd_hda doesn't work on Dell Latitutude D530
Summary: [sound] [snd_hda] snd_hda doesn't work on Dell Latitutude D530
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 7.0-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-18 02:50 UTC by Steven G. Kargl
Modified: 2020-04-10 20:37 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven G. Kargl 2008-02-18 02:50:01 UTC
No sound comes from the internal speakers in the Dell Latitude D530
laptop.  The sound driver is snd_hda, and probing under Windows XP
claims the chip is a SigmaTel 9205.  I have tried adding each of the
following to /boot/devices.hints and rebooting

hint.pcm.0.config="gpio0"
hint.pcm.0.config="gpio1"
hint.pcm.0.config="gpio2"
hint.pcm.0.config="gpio3"
hint.pcm.0.config="gpio4"
hint.pcm.0.config="gpio5"
hint.pcm.0.config="gpio6"
hint.pcm.0.config="gpio7"
hint.pcm.0.config="gpio0 gpio1 gpio2 gpio3 gpio4 gpio5 gpio6 gpio7"

pciconf -vl shows

hostb0@pci0:0:0:0:	class=0x060000 card=0x02001028 chip=0x2a008086 rev=0x0c hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Mobile PM965/GM965/GL960 Express Processor to DRAM Controller'
    class      = bridge
    subclass   = HOST-PCI
vgapci0@pci0:0:2:0:	class=0x030000 card=0x02001028 chip=0x2a028086 rev=0x0c hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Mobile 965 Express Integrated Graphics Controller'
    class      = display
    subclass   = VGA
vgapci1@pci0:0:2:1:	class=0x038000 card=0x02001028 chip=0x2a038086 rev=0x0c hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Mobile 965 Express Integrated Graphics Controller'
    class      = display
uhci0@pci0:0:26:0:	class=0x0c0300 card=0x02001028 chip=0x28348086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) USB UHCI'
    class      = serial bus
    subclass   = USB
uhci1@pci0:0:26:1:	class=0x0c0300 card=0x02001028 chip=0x28358086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) USB UHCI'
    class      = serial bus
    subclass   = USB
ehci0@pci0:0:26:7:	class=0x0c0320 card=0x02001028 chip=0x283a8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '81EC1043 (?) ICH8 Enhanced USB2 Enhanced Host Controller'
    class      = serial bus
    subclass   = USB
pcm0@pci0:0:27:0:	class=0x040300 card=0x02001028 chip=0x284b8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H &SUBSYS_81EC1043&REV_02\3&11583659&0&D8'
    class      = multimedia
pcib1@pci0:0:28:0:	class=0x060400 card=0x02001028 chip=0x283f8086 rev=0x02 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) PCIe Port 1'
    class      = bridge
    subclass   = PCI-PCI
pcib2@pci0:0:28:1:	class=0x060400 card=0x02001028 chip=0x28418086 rev=0x02 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) PCIe Port 2'
    class      = bridge
    subclass   = PCI-PCI
pcib3@pci0:0:28:5:	class=0x060400 card=0x02001028 chip=0x28498086 rev=0x02 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) PCIe Port 6'
    class      = bridge
    subclass   = PCI-PCI
uhci2@pci0:0:29:0:	class=0x0c0300 card=0x02001028 chip=0x28308086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) USB UHCI'
    class      = serial bus
    subclass   = USB
uhci3@pci0:0:29:1:	class=0x0c0300 card=0x02001028 chip=0x28318086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) USB UHCI'
    class      = serial bus
    subclass   = USB
uhci4@pci0:0:29:2:	class=0x0c0300 card=0x02001028 chip=0x28328086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) USB UHCI'
    class      = serial bus
    subclass   = USB
ehci1@pci0:0:29:7:	class=0x0c0320 card=0x02001028 chip=0x28368086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) USB2 EHCI'
    class      = serial bus
    subclass   = USB
pcib4@pci0:0:30:0:	class=0x060401 card=0x02001028 chip=0x24488086 rev=0xf2 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801BAM/CAM/DBM (ICH2-M/3-M/4-M) Hub Interface to PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
isab0@pci0:0:31:0:	class=0x060100 card=0x02001028 chip=0x28158086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'ICH8M-E (ICH8 Family) LPC Interface Controller'
    class      = bridge
    subclass   = PCI-ISA
atapci0@pci0:0:31:1:	class=0x01018a card=0x02001028 chip=0x28508086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) Ultra ATA Storage Controllers'
    class      = mass storage
    subclass   = ATA
atapci1@pci0:0:31:2:	class=0x01018f card=0x02001028 chip=0x28288086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'ICH8M (ICH8 Family) 3 port SATA Controller'
    class      = mass storage
    subclass   = ATA
ichsmb0@pci0:0:31:3:	class=0x0c0500 card=0x02001028 chip=0x283e8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801H (ICH8 Family) SMBus Controller'
    class      = serial bus
    subclass   = SMBus
wpi0@pci0:12:0:0:	class=0x028000 card=0x10208086 chip=0x42228086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '10418086 Intel 3945ABG Wireless LAN controller'
    class      = network
bge0@pci0:9:0:0:	class=0x020000 card=0x02001028 chip=0x167314e4 rev=0x02 hdr=0x00
    vendor     = 'Broadcom Corporation'
    device     = 'B57xx Broadcom NetXtreme Gigabit Ethernet'
    class      = network
    subclass   = ethernet
cbb0@pci0:3:1:0:	class=0x060700 card=0x02001028 chip=0x71351217 rev=0x21 hdr=0x02
    vendor     = 'O2 Micro Inc'
    device     = 'OZ711EZ1 MemoryCardBus Controller'
    class      = bridge
    subclass   = PCI-CardBus
fwohci0@pci0:3:1:4:	class=0x0c0010 card=0x02001028 chip=0x00f71217 rev=0x02 hdr=0x00
    vendor     = 'O2 Micro Inc'
    device     = '0x00f71217 1394 Open Host Controller Interface'
    class      = serial bus
    subclass   = FireWire

A verbose boot shows

pcm0: <Intel 82801H High Definition Audio Controller> mem 0xfe9fc000-0xfe9fffff irq 21 at device 27.0 on pci0
pcm0: TCSEL: 0x07 -> 0x00
pcm0: DMA Coherency: Uncacheable / vendor=0x8086
pcm0: [ITHREAD]
pcm0: hdac_dma_alloc: size=1024 -> roundsz=1024
pcm0: hdac_dma_alloc: size=2048 -> roundsz=2048
pcm0: HDA_DEBUG: HDA Config: gpio0 gpio1 gpio2 gpio3 gpio4 gpio5 gpio6 gpio7
pcm0: HDA_DEBUG: HDA Config: on=0x000000ff off=0x00000000
pcm0: HDA_DEBUG: Starting CORB Engine...
pcm0: HDA_DEBUG: Starting RIRB Engine...
pcm0: HDA_DEBUG: Enabling controller interrupt...
pcm0: HDA_DEBUG: Scanning HDA codecs [start index=0] ...
pcm0: HDA_DEBUG: Probing codec: 0
pcm0: HDA_DEBUG: 	startnode=1 endnode=2
pcm0: HDA_DEBUG: 	Found AFG nid=1 [startnode=1 endnode=2]
pcm0: HDA_DEBUG: Parsing AFG nid=1 cad=0
pcm0:        Vendor: 0x00008384
pcm0:        Device: 0x000076a0
pcm0:      Revision: 0x00000002
pcm0:      Stepping: 0x00000004
pcm0: PCI Subvendor: 0x02001028
pcm0:         Nodes: start=10 endnode=38 total=28
pcm0:     CORB size: 256
pcm0:     RIRB size: 256
pcm0:       Streams: ISS=4 OSS=4 BSS=0
pcm0:          GPIO: 0xc0000005
pcm0:                NumGPIO=5 NumGPO=0 NumGPI=0 GPIWake=1 GPIUnsol=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=10 entries=2 found=2
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=11 entries=2 found=2
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=12 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=13 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=14 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=15 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=18 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=19 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=20 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=21 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=25 entries=7 found=7
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=26 entries=7 found=7
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=27 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=28 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=29 entries=3 found=3
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=30 entries=3 found=3
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=32 entries=1 found=1
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=33 entries=3 found=3
pcm0: HDA_DEBUG: hdac_widget_connection_parse: nid=36 entries=2 found=2
pcm0: HDA_DEBUG: Parsing Ctls...
pcm0: HDA_DEBUG: Parsing vendor patch...
pcm0: HDA_DEBUG: Building AFG tree...
pcm0: HDA_DEBUG: HWiP: HDA Widget Parser - Revision 1
pcm0: HDA_DEBUG: HWiP: 0 DAC path found! Retrying parser using HDA_PARSE_DIRECT strategy.
pcm0: HDA_DEBUG: HWiP: Found 3 DAC path using HDA_PARSE_DIRECT strategy.
pcm0: HDA_DEBUG: AFG commit...
pcm0: GPIO init: data=0x00000000 mask=0x00000000 dir=0x00000000
pcm0: GPIO commit: data=0x0000001f mask=0x0000001f dir=0x0000001f
pcm0: HDA_DEBUG: Ctls commit...
pcm0: [ 3] Ctl nid=20 DISABLED
pcm0: [ 6] Ctl nid=27 childnid=25 Bind to NONE
pcm0: [ 7] Ctl nid=28 childnid=26 Bind to NONE
pcm0: HDA_DEBUG: PCMDIR_PLAY setup...
pcm0: HDA_DEBUG: PCMDIR_REC setup...
pcm0: HDA_DEBUG: OSS mixer initialization...
pcm0: HDA_DEBUG: Forcing Soft PCM volume
pcm0: HDA_DEBUG: Registering PCM channels...
pcm0: clone manager: deadline=750ms flags=0x8000001e
sndbuf_resize(): b=0xc3def700 0 -> 0xc3da0000 [0 -> 4096 : 4096]
pcm0: hdac_dma_alloc: size=4096 -> roundsz=4096
sndbuf_resize(): b=0xc3def400 0 -> 0xc3e14000 [0 -> 16384 : 16384]
pcm0: hdac_dma_alloc: size=4096 -> roundsz=4096
sndbuf_resize(): b=0xc3def100 0 -> 0xc3e18000 [0 -> 16384 : 16384]
sndbuf_resize(): b=0xc3def400 16384 [16384] NOCHANGE
sndbuf_remalloc(): b=0xc3def300 0 -> 4096 [4096]
chn_resizebuf: PCMDIR_PLAY (hardware) timeout=23 b[4096/2048/2] bs[4096/2048/2] limit=0
chn_resizebuf: PCMDIR_PLAY (hardware) timeout=23 b[4096/2048/2] bs[4096/2048/2] limit=0
chn_resizebuf: PCMDIR_PLAY (hardware) timeout=23 b[4096/2048/2] bs[4096/2048/2] limit=0
chn_resizebuf: PCMDIR_PLAY (hardware) timeout=21 b[4096/2048/2] bs[4096/2048/2] limit=0
sndbuf_resize(): b=0xc3def100 16384 [16384] NOCHANGE
sndbuf_remalloc(): b=0xc3def000 0 -> 4096 [4096]
chn_resizebuf: PCMDIR_REC (hardware) timeout=23 b[4096/2048/2] bs[4096/2048/2] limit=0
chn_resizebuf: PCMDIR_REC (hardware) timeout=23 b[4096/2048/2] bs[4096/2048/2] limit=0
chn_resizebuf: PCMDIR_REC (hardware) timeout=23 b[4096/2048/2] bs[4096/2048/2] limit=0
chn_resizebuf: PCMDIR_REC (hardware) timeout=21 b[4096/2048/2] bs[4096/2048/2] limit=0
pcm0: <HDA Codec: Sigmatel (Unknown)>
pcm0: <HDA Codec ID: 0x838476a0>
pcm0: <HDA Driver Revision: 20071129_0050>
pcm0: 
pcm0: HDA config/quirks: gpio0 gpio1 gpio2 gpio3 gpio4 gpio5 gpio6 gpio7 softpcmvol forcestereo ivref50 ivref80 ivref100 ivref
pcm0: 
pcm0: +-------------------+
pcm0: | DUMPING HDA NODES |
pcm0: +-------------------+
pcm0: 
pcm0: Default Parameter
pcm0: -----------------
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:          IN amp: 0x00050f00
pcm0:         OUT amp: 0x80027f7f
pcm0: 
pcm0:             nid: 10 [ANALOG]
pcm0:            name: pin: headphones out (jack)
pcm0:      widget_cap: 0x00400181
pcm0:     Parse flags: 0x00000001
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x0000173f
pcm0:                  ISC TRQD HP OUT IN VREF[ 50 80 GROUND HIZ ] : UNSOL
pcm0:      Pin config: 0x0321101f
pcm0:     Pin control: 0x000000c0 HP OUT
pcm0:     connections: 2
pcm0:           |
pcm0:           + <- nid=16 [audio output] (selected)
pcm0:           |
pcm0:           + <- nid=17 [audio output]
pcm0: 
pcm0:             nid: 11 [ANALOG]
pcm0:            name: pin: line in (jack)
pcm0:      widget_cap: 0x00400181
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000040
pcm0:         Pin cap: 0x00001737
pcm0:                  ISC TRQD OUT IN VREF[ 50 80 GROUND HIZ ] : UNSOL
pcm0:      Pin config: 0x0381102e
pcm0:     Pin control: 0x00000024 IN
pcm0:     connections: 2
pcm0:           |
pcm0:           + <- nid=16 [audio output] (selected)
pcm0:           |
pcm0:           + <- nid=17 [audio output]
pcm0: 
pcm0:             nid: 12 [ANALOG]
pcm0:            name: pin: Mic in (fixed)
pcm0:      widget_cap: 0x00400181
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00001737
pcm0:                  ISC TRQD OUT IN VREF[ 50 80 GROUND HIZ ] : UNSOL
pcm0:      Pin config: 0x90a70120
pcm0:     Pin control: 0x00000024 IN
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=17 [audio output]
pcm0: 
pcm0:             nid: 13 [ANALOG]
pcm0:            name: pin: speaker (fixed)
pcm0:      widget_cap: 0x00400181
pcm0:     Parse flags: 0x00000001
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x0000003f
pcm0:                  ISC TRQD HP OUT IN : UNSOL
pcm0:      Pin config: 0x90170110
pcm0:     Pin control: 0x00000040 OUT
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=16 [audio output]
pcm0: 
pcm0:             nid: 14 [ANALOG] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00400181
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00001737
pcm0:                  ISC TRQD OUT IN VREF[ 50 80 GROUND HIZ ] : UNSOL
pcm0:      Pin config: 0x40f000f0
pcm0:     Pin control: 0x00000060 IN OUT
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=16 [audio output]
pcm0: 
pcm0:             nid: 15 [ANALOG] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00400181
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00001737
pcm0:                  ISC TRQD OUT IN VREF[ 50 80 GROUND HIZ ] : UNSOL
pcm0:      Pin config: 0x40f000f1
pcm0:     Pin control: 0x00000060 IN OUT
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=17 [audio output]
pcm0: 
pcm0:             nid: 16 [ANALOG]
pcm0:            name: audio output
pcm0:      widget_cap: 0x000d0c05
pcm0:     Parse flags: 0x00000001
pcm0:       Ctl flags: 0x00000011
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:      Output amp: 0x80027f7f
pcm0:                  mute=1 step=127 size=2 offset=127
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 17 [ANALOG]
pcm0:            name: audio output
pcm0:      widget_cap: 0x000d0c05
pcm0:     Parse flags: 0x00000001
pcm0:       Ctl flags: 0x00000011
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:      Output amp: 0x80027f7f
pcm0:                  mute=1 step=127 size=2 offset=127
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 18 [ANALOG]
pcm0:            name: audio input
pcm0:      widget_cap: 0x001d0541
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000800
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=29 [audio selector]
pcm0: 
pcm0:             nid: 19 [ANALOG]
pcm0:            name: audio input
pcm0:      widget_cap: 0x001d0541
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000800
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=30 [audio selector]
pcm0: 
pcm0:             nid: 20 [ANALOG] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x0040010c
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00000010
pcm0:                  OUT
pcm0:      Pin config: 0x40f000f2
pcm0:     Pin control: 0x00000040 OUT
pcm0:      Output amp: 0x80051f1f
pcm0:                  mute=1 step=31 size=5 offset=31
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=21 [audio mixer]
pcm0: 
pcm0:             nid: 21 [ANALOG]
pcm0:            name: audio mixer
pcm0:      widget_cap: 0x00200100
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=16 [audio output]
pcm0: 
pcm0:             nid: 22 [ANALOG] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00400001
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00000020
pcm0:                  IN
pcm0:      Pin config: 0x40f000f3
pcm0:     Pin control: 0x00000020 IN
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 23 [ANALOG] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00400001
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00000020
pcm0:                  IN
pcm0:      Pin config: 0x40f000f4
pcm0:     Pin control: 0x00000020 IN
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 24 [ANALOG] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00400001
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00000020
pcm0:                  IN
pcm0:      Pin config: 0x40f000f5
pcm0:     Pin control: 0x00000020 IN
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 25 [ANALOG]
pcm0:            name: audio selector
pcm0:      widget_cap: 0x0030010d
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000040
pcm0:      Output amp: 0x00270400
pcm0:                  mute=0 step=4 size=39 offset=0
pcm0:     connections: 7
pcm0:           |
pcm0:           + <- nid=14 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=22 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=15 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=11 [pin: line in (jack)] (selected)
pcm0:           |
pcm0:           + <- nid=12 [pin: Mic in (fixed)]
pcm0:           |
pcm0:           + <- nid=13 [pin: speaker (fixed)]
pcm0:           |
pcm0:           + <- nid=10 [pin: headphones out (jack)]
pcm0: 
pcm0:             nid: 26 [ANALOG]
pcm0:            name: audio selector
pcm0:      widget_cap: 0x0030010d
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000040
pcm0:      Output amp: 0x00270400
pcm0:                  mute=0 step=4 size=39 offset=0
pcm0:     connections: 7
pcm0:           |
pcm0:           + <- nid=14 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=22 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=15 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=11 [pin: line in (jack)] (selected)
pcm0:           |
pcm0:           + <- nid=12 [pin: Mic in (fixed)]
pcm0:           |
pcm0:           + <- nid=13 [pin: speaker (fixed)]
pcm0:           |
pcm0:           + <- nid=10 [pin: headphones out (jack)]
pcm0: 
pcm0:             nid: 27 [ANALOG]
pcm0:            name: audio selector
pcm0:      widget_cap: 0x00300103
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000000
pcm0:       Input amp: 0x00050f00
pcm0:                  mute=0 step=15 size=5 offset=0
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=25 [audio selector]
pcm0: 
pcm0:             nid: 28 [ANALOG]
pcm0:            name: audio selector
pcm0:      widget_cap: 0x00300103
pcm0:     Parse flags: 0x00000002
pcm0:       Ctl flags: 0x00000000
pcm0:       Input amp: 0x00050f00
pcm0:                  mute=0 step=15 size=5 offset=0
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=26 [audio selector]
pcm0: 
pcm0:             nid: 29 [ANALOG]
pcm0:            name: audio selector
pcm0:      widget_cap: 0x0030090d
pcm0:     Parse flags: 0x00000006
pcm0:       Ctl flags: 0x00000800
pcm0:      Output amp: 0x80000000
pcm0:                  mute=1 step=0 size=0 offset=0
pcm0:     connections: 3
pcm0:           |
pcm0:           + <- nid=27 [audio selector] (selected)
pcm0:           |
pcm0:           + <- nid=23 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=24 [pin: other (none)] [DISABLED]
pcm0: 
pcm0:             nid: 30 [ANALOG]
pcm0:            name: audio selector
pcm0:      widget_cap: 0x0030090d
pcm0:     Parse flags: 0x00000006
pcm0:       Ctl flags: 0x00000800
pcm0:      Output amp: 0x80000000
pcm0:                  mute=1 step=0 size=0 offset=0
pcm0:     connections: 3
pcm0:           |
pcm0:           + <- nid=28 [audio selector] (selected)
pcm0:           |
pcm0:           + <- nid=23 [pin: other (none)] [DISABLED]
pcm0:           |
pcm0:           + <- nid=24 [pin: other (none)] [DISABLED]
pcm0: 
pcm0:             nid: 31 [DIGITAL] [DISABLED]
pcm0:            name: audio output
pcm0:      widget_cap: 0x00040211
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:      Stream cap: 0x00000005
pcm0:          Format: AC3 PCM
pcm0:         PCM cap: 0x000e05e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 192
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 32 [DIGITAL] [DISABLED]
pcm0:            name: audio input
pcm0:      widget_cap: 0x00140311
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:      Stream cap: 0x00000005
pcm0:          Format: AC3 PCM
pcm0:         PCM cap: 0x000e0160
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 96
pcm0:     connections: 1
pcm0:           |
pcm0:           + <- nid=34 [pin: other (none)] [DISABLED]
pcm0: 
pcm0:             nid: 33 [DIGITAL] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00400301
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00000010
pcm0:                  OUT
pcm0:      Pin config: 0x40f000f6
pcm0:     Pin control: 0x00000040 OUT
pcm0:     connections: 3
pcm0:           |
pcm0:           + <- nid=31 [audio output] [DISABLED]
pcm0:           |
pcm0:           + <- nid=29 [audio selector]
pcm0:           |
pcm0:           + <- nid=30 [audio selector]
pcm0: 
pcm0:             nid: 34 [DIGITAL] [DISABLED]
pcm0:            name: pin: other (none)
pcm0:      widget_cap: 0x00430681
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:         Pin cap: 0x00010024
pcm0:                  IN EAPD : UNSOL
pcm0:      Pin config: 0x40f000f7
pcm0:     Pin control: 0x00000020 IN
pcm0:            EAPD: 0x00000002
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 35 [ANALOG]
pcm0:            name: beep widget
pcm0:      widget_cap: 0x0070000c
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000021
pcm0:      Output amp: 0x00170303
pcm0:                  mute=0 step=3 size=23 offset=3
pcm0:     connections: 0
pcm0: 
pcm0:             nid: 36 [ANALOG]
pcm0:            name: volume widget
pcm0:      widget_cap: 0x00600000
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:     connections: 2
pcm0:           |
pcm0:           + <- nid=16 [audio output] (selected)
pcm0:           |
pcm0:           + <- nid=17 [audio output]
pcm0: 
pcm0:             nid: 37 [ANALOG]
pcm0:            name: vendor widget
pcm0:      widget_cap: 0x00f00001
pcm0:     Parse flags: 0x00000000
pcm0:       Ctl flags: 0x00000000
pcm0:     connections: 0
pcm0: 
pcm0: +------------------------+
pcm0: | DUMPING HDA AMPLIFIERS |
pcm0: +------------------------+
pcm0: 
pcm0:   1: nid=16 dir=0x1 index=0 ossmask=0x00000011 ossdev=4 [DISABLED]
pcm0:   2: nid=17 dir=0x1 index=0 ossmask=0x00000011 ossdev=4 [DISABLED]
pcm0:   3: nid=20 dir=0x1 index=0 ossmask=0x00000000 ossdev=0 [DISABLED]
pcm0:   4: nid=25 dir=0x1 index=0 ossmask=0x00000040 ossdev=6
pcm0:   5: nid=26 dir=0x1 index=0 ossmask=0x00000040 ossdev=6
pcm0:   6: nid=27 cnid=25 dir=0x2 index=0 ossmask=0x00000000 ossdev=0
pcm0:   7: nid=28 cnid=26 dir=0x2 index=0 ossmask=0x00000000 ossdev=0
pcm0:   8: nid=29 dir=0x1 index=0 ossmask=0x00000800 ossdev=0
pcm0:   9: nid=30 dir=0x1 index=0 ossmask=0x00000800 ossdev=0
pcm0:  10: nid=35 dir=0x1 index=0 ossmask=0x00000021 ossdev=5
pcm0: 
pcm0: +-----------------------------------+
pcm0: | DUMPING HDA AUDIO/VOLUME CONTROLS |
pcm0: +-----------------------------------+
pcm0: 
pcm0: Master Volume (OSS: vol)
pcm0:    |
pcm0:    +-  nid: 35 index:  0           mute: 0 step:   3 size:  23 off:   3 dir=0x1 ossmask=0x00000021
pcm0: 
pcm0: Line-in Volume (OSS: line)
pcm0:    |
pcm0:    +-  nid: 25 index:  0           mute: 0 step:   4 size:  39 off:   0 dir=0x1 ossmask=0x00000040
pcm0:    |
pcm0:    +-  nid: 26 index:  0           mute: 0 step:   4 size:  39 off:   0 dir=0x1 ossmask=0x00000040
pcm0: 
pcm0: Recording Level (OSS: rec)
pcm0:    |
pcm0:    +-  nid: 29 index:  0           mute: 1 step:   0 size:   0 off:   0 dir=0x1 ossmask=0x00000800
pcm0:    |
pcm0:    +-  nid: 30 index:  0           mute: 1 step:   0 size:   0 off:   0 dir=0x1 ossmask=0x00000800
pcm0: 
pcm0: Speaker/Beep (OSS: speaker)
pcm0:    |
pcm0:    +-  nid: 35 index:  0           mute: 0 step:   3 size:  23 off:   3 dir=0x1 ossmask=0x00000021
pcm0: 
pcm0: Playback path:
pcm0: 
pcm0:     nid=10 [pin: headphones out (jack)]
pcm0:       ^
pcm0:       |
pcm0:       +-----<------+
pcm0:                    ^
pcm0:                    |
pcm0:                  nid=16 [audio output]
pcm0: 
pcm0:     nid=13 [pin: speaker (fixed)]
pcm0:       ^
pcm0:       |
pcm0:       +-----<------+
pcm0:                    ^
pcm0:                    |
pcm0:                  nid=16 [audio output]
pcm0: 
pcm0: Recording sources:
pcm0: 
pcm0:     nid=29 [audio selector]
pcm0:       |
pcm0:       + <- nid=27 [audio selector]
pcm0: 
pcm0:     nid=30 [audio selector]
pcm0:       |
pcm0:       + <- nid=28 [audio selector]
pcm0: 
pcm0: +--------------------------------------+
pcm0: | DUMPING PCM Playback/Record Channels |
pcm0: +--------------------------------------+
pcm0: 
pcm0:    PCM Playback: 1
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:             DAC: 16 17
pcm0: 
pcm0:      PCM Record: 1
pcm0:      Stream cap: 0x00000001
pcm0:          Format: PCM
pcm0:         PCM cap: 0x000e07e0
pcm0:        PCM size: 16 20 24
pcm0:        PCM rate: 44 48 88 96 176 192
pcm0:             ADC: 18 19

How-To-Repeat: 
Buy a Dell Latitude D530.  Install FreeBSD-current.  Build and install kernel with
sound and snd_hda driver.  Reboot multiple times to screw with poorly documented
gpio? options.  Use 'cdcontrol -f /dev/acd0 play' with a Pat Metheny cd in the 
the cdrom drive.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-02-18 03:35:09 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-multimedia

Over to maintainer(s).
Comment 2 Alexander Motin freebsd_committer 2008-10-14 21:08:14 UTC
State Changed
From-To: open->feedback

Please try new snd_hda driver in recent -CURRENT.
Comment 3 Alexander Motin freebsd_committer 2008-10-14 21:47:51 UTC
State Changed
From-To: feedback->open

I have forgotten that it was reported that problem is still there.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:53 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 5 sgk 2018-10-30 21:55:52 UTC
This should be closed.
Comment 6 Ed Maste freebsd_committer 2020-04-10 20:37:02 UTC
Close per original reporter